
QGIS Application - Bug report #18220

Crash when clicking "Manage and install plugins" - Fresh install 

2018-02-26 11:47 AM - Sebastien Seb

Status: Closed

Priority: Normal

Assignee: Borys Jurgiel

Category: Windows Package

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 26111

Description

I have a fresh install of QGIS 3, installed using OSGEO4W. At the first launch, I choose to not import the parameters from QGIS 2, but

rather start from scratch. I also have QGIS 2.18.17 LTS version, installed also with OSGEO4W.

The first thing I tried after launching QGIS 3 was "Plugin->Manage and Install plugins", which produces the following crash:

Crash ID: bcb24f74188137f76f4617168058fc0609bfe2e8

Stack Trace

QString::fill :

QString::indexOf :

QDir::fromNativeSeparators :

QFileInfo::QFileInfo :

QFileInfo::QFileInfo :

QgsMapToolCircle3Points::qt_static_metacall :

QgsMapToolCircle3Points::qt_static_metacall :

PyInit__gui :

PyCFunction_FastCallDict :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyObject_GenericGetAttr :

PyEval_EvalFrameDefault :

PyErr_Occurred :

PyEval_EvalCode :

PyArena_Free :

PyRun_StringFlags :

instance :

instance :

QgisApp::rotatePointSymbols :

QgsPythonRunner::run :

QgisApp::showPluginManager :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :
QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.0-Girona

QGIS code revision: 001c80b0c3

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.3

Running against GDAL: 2.2.3

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.15063

History

#1 - 2018-02-26 05:13 PM - Borys Jurgiel

Not sure if it will help, but there is a hope. Could you please try to delete any existing *.pyc files from

C:\OSGeo4W64\apps\qgis

and, just in case, from the current profile folder (you'll find it in menu Settings -> User profiles -> Open Active Profile Folder)

#2 - 2018-02-26 05:14 PM - Borys Jurgiel

- Status changed from Open to Feedback

#3 - 2018-02-26 05:22 PM - Sebastien Seb
I have the same results after removing all the .pyc files from the C:\OSGeo4W64\apps\qgis and profile folders.

As an additional info, I can briefly see the "Fetching components" windows before it crashes.

#4 - 2018-02-26 08:52 PM - Borys Jurgiel

Thanks. Anyway, I suspect it's a kind of conflict in your OSGeo4W. Today we notice numerous problems after upgrade in OSGeo4W, while I didn't hear

about such problems with the standalone installer (what is basically a fresh installation of packages taken from OsGeo4W)

So I'd try a fresh install (e.g. the standalone installer) first. If it works, probably removing and re-installing all C:\OSGeo4W will help too.

#5 - 2018-03-01 11:12 AM - Borys Jurgiel

Did you try the qgis-dev (3.1) package, like in the other report? Or the standalone installer?

Looks like a Python crash when the Plugin Manager calls it to fetch new plugins. The question is if the reason is some obsolete files in C:\OsGeo4W, a

conflict with another Python instance or just some registry settings.

#6 - 2018-03-01 12:27 PM - Sebastien Seb

I just installed QGIS nightly dev with OSGEO4W: no more crash.

#7 - 2018-03-04 02:31 PM - Borys Jurgiel

- Resolution set to not reproducable

- Category changed from Plugin Manager to Windows Package

- Status changed from Feedback to Closed

It seems to be not reproducable. It may be fixed in current installer, and I believe methods from #18261 could help here.
